> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Node Schema

> Endpoint to retrieve the schema for a specific node type.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json get /workflows/v1/nodes/schema/{node_type}
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/nodes/schema/{node_type}:
    get:
      tags:
        - Nodes
      summary: Get Node Schema
      description: Endpoint to retrieve the schema for a specific node type.
      operationId: workflow_service_get_node_schema_v1_nodes_schema__node_type__get
      parameters:
        - name: node_type
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/NodeType'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    NodeType:
      type: string
      enum:
        - say_llm
        - worker_llm
        - super_node
        - say_static
        - tool_node
        - workflow_run_fetch
        - workflow_run_evaluator
        - start_conversation
        - end_conversation
        - send_sms
        - google_docs
        - http_request
        - athena_patients_search
        - athena_patients_update
        - athena_patients_create
        - athena_appointments_create
        - deduplicate
        - field_extractor
      title: NodeType
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````